For the complete documentation index, see llms.txt. This page is also available as Markdown.

邮件查询

Atlas API 邮件查询端点参考,用于检索与订单或支持流程关联的航空公司邮件记录。

💬 需要帮助? 如果遇到问题,请在帮助中心咨询 Eva,快速获取诊断建议。

咨询 Eva

在指南和链接中使用 邮件查询 作为主要名称。

此 API 映射到 queryMail.do。

旧版资料可能称之为 邮件列表。

Email List

post

Dependency No preceding function needs to be carried out.

Endpoint: https://sandbox.atriptech.com/queryMail.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body
orderNostring · nullableOptional

Order number. At least one of the order number, receiving time and/or creation time must be specified for querying.

emailReceivingDateStartstring · nullableOptional

Start of the receiving time. The time Atlas received the airline's email. Format: yyyy-MM-dd hh:mm:ss UTC+08:00

emailReceivingDateEndstring · nullableOptional

End of the receiving time. The time Atlas received the airline's email. Format: yyyy-mm-dd hh:mm:ss UTC+08:00. You can only query data for up to one month at a time

createTimeStartstring · nullableOptional

Start of creation time. Create Time is the time when Atlas created this email record in the Email list. Generally, it will be later than the receiving time. Format: yyyy-mm-dd hh:mm:ss UTC+08:00

createTimeEndstring · nullableOptional

End of creation time. Create Time is the time when Atlas created this email record in the Email list. Generally, it will be later than the receiving time. Format: yyyy-MM-dd hh:mm:ss UTC+08:00 You can only query data for up to one month at a time.

emailCategoriesstring · nullableOptional

Atlas email categories. Atlas categorizes emails but does not guarantee accuracy in classification. -Travel Itinerary -Schedule Change -Payment Due -Payment Success -Receipt -Trip Reminder -PNR Cancellation Success -Advertisement -Duplicated Schedule Change -Verification -Unaccounted Cancellation -Promo code

pageIndexstring · nullableOptionalDefault: 1
pageSizestring · nullableOptionalDefault: 100
Responses
200Success
application/json
statusintegerRequired
msgstring · nullableOptional
hasNextbooleanRequired

-true: There is also the next page -false: There is not the next page

post/queryMail.do
POST /queryMail.do HTTP/1.1
Accept: text
Accept-Encoding: text
x-atlas-client-id: text
x-atlas-client-secret: text
Content-Type: application/json
Content-Length: 291

{
  "orderNo": "TESTD20230811113115020",
  "emailReceivingDateStart": "2022-12-11 18:33:33",
  "emailReceivingDateEnd": "2022-12-11 18:33:33",
  "createTimeStart": "2022-12-11 18:33:33",
  "createTimeEnd": "2022-12-11 18:33:45",
  "emailCategories": [
    "Payment Success",
    "Advertisement"
  ],
  "pageIndex": 1,
  "pageSize": 100
}
200Success
{
  "records": [
    {
      "orderNo": "TESTD20230811113115020",
      "emailReceivingDate": "2022-12-11 18:33:33",
      "uniqueCode": "2b5435c63102ac28d840b2a54f61e2db",
      "emailCategory": "Unidentified",
      "from": "xiaoyebiao@qq.com",
      "to": "connexpay@mx.theatlas.top",
      "emailSubject": "sda",
      "emailLink": "http://order-oss-sg.oss-ap-southeast-1.aliyuncs.com/2022/12/2b5435c63102ac28d840b2a54f61e2db.eml?Expires=1704364782&OSSAccessKeyId=LTAI5tDmTE9iwtNdsqxVXuom&Signature=Hl6vBTM8lv%2Fan%2FFnCVQmQnwaXnk%3D",
      "createTime": "2022-12-11 18:33:45"
    }
  ],
  "hasNext": false,
  "status": 0,
  "msg": "success"
}

Last updated

Was this helpful?